Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface StringMonitorMBean

All Superinterfaces:
  MonitorMBean

All Known Implementing Classes:
  StringMonitor

public interface StringMonitorMBean
extends MonitorMBean

Exposes the remote management interface of the string monitor MBean.

Author:
  Young Yang

Method Summary
`java.lang.String` | `getDerivedGauge()` Gets the derived gauge.
`long` | `getDerivedGaugeTimeStamp()` Gets the derived gauge timestamp.
`boolean` | `getNotifyDiffer()` Gets the differing notification's on/off switch value.
`boolean` | `getNotifyMatch()` Gets the matching notification's on/off switch value.
`java.lang.String` | `getStringToCompare()` Gets the string to compare with the observed attribute.
`void` | `setNotifyDiffer(boolean value)` Sets the differing notification's on/off switch value.
`void` | `setNotifyMatch(boolean value)` Sets the matching notification's on/off switch value.
`void` | `setStringToCompare(java.lang.String value)` Sets the string to compare with the observed attribute.

Methods inherited from interface javax.management.monitor.MonitorMBean
`getGranularityPeriod, getObservedAttribute, getObservedObject, isActive, setGranularityPeriod, setObservedAttribute, setObservedObject`

Method Detail

### getDerivedGauge

    public java.lang.String getDerivedGauge()

  Gets the derived gauge.

  Returns:
    The derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Gets the derived gauge timestamp.

  Returns:
    The derived gauge timestamp.

### getStringToCompare

    public java.lang.String getStringToCompare()

  Gets the string to compare with the observed attribute.

  Returns:
    The string value.

### setStringToCompare

    public void setStringToCompare(java.lang.String value)
                            throws java.lang.IllegalArgumentException

  Sets the string to compare with the observed attribute.

  Parameters:
    `value` - The string value.
  Throws:
    `java.lang.IllegalArgumentException` - The specified string to compare is null.

### getNotifyMatch

    public boolean getNotifyMatch()

  Gets the matching notification's on/off switch value.

  Returns:
    `true` if the string monitor notifies when matching, `false` otherwise.

### setNotifyMatch

    public void setNotifyMatch(boolean value)

  Sets the matching notification's on/off switch value.

  Parameters:
    `value` - The matching notification's on/off switch value.

### getNotifyDiffer

    public boolean getNotifyDiffer()

  Gets the differing notification's on/off switch value.

  Returns:
    `true` if the string monitor notifies when differing, `false` otherwise.

### setNotifyDiffer

    public void setNotifyDiffer(boolean value)

  Sets the differing notification's on/off switch value.

  Parameters:
    `value` - The differing notification's on/off switch value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD